/* Global */
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  font-family:'Poppins', sans-serif;
}

/* Background */
body{
  min-height:100vh;
  display:flex;
  justify-content:center;
  align-items:center;
  overflow-x: hidden;
}

/* Main Container */
.main-container{
  width:300px;
  height:500px;
  background:linear-gradient(to left,dodgerblue, aquamarine);
  border-radius:15px;
  display:flex;
  flex-direction:column;
  align-items:center;
  padding:20px;
  box-shadow:0 20px 40px rgba(0,0,0,0.3);
}

/* Search Bar */
.search-section{
  width:95%;
  display:flex;
  align-items:center;
  background:white;
  border-radius:20px;
  padding:12px 12px;
  margin-bottom:30px;
  box-shadow:0 4px 10px rgba(0,0,0,0.2);
}

.search-section input{
  border:none;
  outline:none;
  flex:1;
  font-size:14px;
  background:transparent;
}

.searchIcon{
  border:none;
  background:none;
  font-size:15px;
  cursor:pointer;
}

/* Weather Card */
.weather-card{
  width:100%;
  background:rgba(255,255,255,0.35);
  backdrop-filter:blur(10px);
  border-radius:20px;
  padding:25px 15px;
  text-align:center;
  color:white;
  box-shadow:0 10px 25px rgba(0,0,0,0.3);
  transition:0.3s
}

.weather-card:hover{
  transform:scale(1.05);
}

.weather-card h2{
  font-size:1.4rem;
}


.weather-card img{
  width:80px;
}

.temp{
  font-size:2.3rem;
  margin:10px 0;
  font-weight:bold;
}

.humidityWindSpeed{
  display: flex;
  justify-content: space-between;
  gap: 10px;
  margin-top: 20px;
}


.stat{
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  background: rgba(255,255,255,0.25);
  padding: 10px;
  border-radius: 15px;
}

.stat i{
  font-size: 22px;
}

.stat h4{
  font-size: 1.1rem;
  line-height: 1;
}

.stat p{
  font-size: 0.75rem;
  opacity: 0.9;
}